#include<iostream>
#include<cmath>
int k = 0, d = 1, brojac = 0;
long long sledeciBroj()
{
	if(brojac == 3)
	{
		brojac = 0;
		k++;
	}
	brojac++;
	if(brojac == 1)
	{
		d = 1;
	}
	else if(brojac == 2)
	{
		d = 2;
	}
	else
	{
		d = 5;
	}
    return d*(long long)pow(10,k);
}
int main()
{
	long long v;
	int brojNovcanica = 0;
	long long prethodnaPretpostavka = 0;
	long long pretpostavka = 1;
	scanf("%lld",&v);
	while(v > 0)
	{
		if(pretpostavka < v)
		{
			prethodnaPretpostavka = pretpostavka;
			pretpostavka = sledeciBroj();
		}
		
		else if (pretpostavka > v)
		{
			v-=prethodnaPretpostavka;
			brojNovcanica ++;
			pretpostavka = 1;
			prethodnaPretpostavka = 0;
			k = 0, d = 1, brojac = 0;
		}
		else 
		{
			brojNovcanica++;
			break;
		}
	}
	printf("%d",brojNovcanica);
	return 0;
}